@echo off
TITLE EZBridge Upgrade Bridge To AP Ethernet Programming for English Windows version
set ImgBIN=ap_231_050722.bin
set DefaultIP=%1
set AP_IP=192.168.1.90
IF "%DefaultIP%"=="" set DefaultIP=192.168.1.99

COLOR 07
cls
echo  __________________________________________________
echo ^|This procedure does one step program.             ^|	
echo ^|This procedure needs RJ45 cross over line         ^|	
echo ^|  connectted to PC and properly setting           ^|
echo ^|  of Ethernet TCP/IP in PC.                       ^|
echo ^|   Attention: If ether step appear error          ^|
echo ^|    message, check RJ45 and Ethernet setting.     ^|
echo ^|                                                  ^|
echo ^|Image FILE: %ImgBIN%                              ^|
echo ^|Cmd: Bridge_To_AP_ENG.bat [Target IP]             ^|
echo ^|Example1: If bridge's ip is 192.168.1.90          ^| 
echo ^|        CMD: Bridge_To_AP_ENG.bat 192.168.1.90    ^|
echo ^|Example2: If bridge's ip is default ip            ^|
echo ^|          (192.168.1.99)                          ^|
echo ^|          Bridge_To_AP_ENG.bat                    ^|
echo ^|If device is ready, press any key to continue.    ^|
echo ^|Otherwise, Ctrl+C to leave.                       ^|
echo ^|__________________________________________________^|
@pause

:Ethernet
cls
echo  __________________________________________________
echo ^|        Programming image from Ethernet ........  ^|
echo ^|__________________________________________________^|
arp -d 2>nul
ping -n 3 %DefaultIP% > ~tmp
find "Reply from" ~tmp 1>nul
if ERRORLEVEL 1 goto :MsgEthernetError

tftp -i %DefaultIP% put %ImgBIN% / 1> nul 2>nul
if ERRORLEVEL 1 goto :MsgEthernetError
if ERRORLEVEL 0 goto :MsgEthernetOK

:MsgEthernetOK
del ~tmp 2>nul
echo ^|Success !                                         ^|
echo ^|__________________________________________________^|
echo ^|Target IP is %AP_IP%                         ^|
echo ^|__________________________________________________^|
echo ^|Press any key to leave                            ^|
echo ^|__________________________________________________^|
goto :end

:MsgEthernetError
del ~tmp 2>nul
COLOR 0C
echo ^|Ethernet transmit failed!                         ^|
echo ^|__________________________________________________^|
echo ^|Press any key to leave                            ^|
echo ^|__________________________________________________^|
goto :end

:end
pause
COLOR 07